Fetch event by id
curl --request GET \
--url https://sandbox.api.btdx.io/events/{id} \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"events": [
{
"id": "<string>",
"ownerAppId": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"active": true,
"expectedStartTime": "2023-11-07T05:31:56Z",
"actualStartTime": "2023-11-07T05:31:56Z",
"actualEndTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"participants": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"participants": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
]
}Events
Fetch event by id
GET
/
events
/
{id}
Fetch event by id
curl --request GET \
--url https://sandbox.api.btdx.io/events/{id} \
--header 'authorization: <authorization>'{
"_meta": {
"_count": 123,
"_page": {
"_pageNumber": 123,
"_pageSize": 123,
"_totalElements": 123,
"_totalPages": 123
}
},
"events": [
{
"id": "<string>",
"ownerAppId": "<string>",
"eventGroup": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"name": "<string>",
"code": "<string>",
"active": true,
"expectedStartTime": "2023-11-07T05:31:56Z",
"actualStartTime": "2023-11-07T05:31:56Z",
"actualEndTime": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z",
"participants": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"externalReferences": {
"_ref": "<string>",
"_ids": [
"<string>"
]
}
}
],
"eventGroups": [
{
"id": "<string>",
"name": "<string>",
"subcategory": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"subcategories": [
{
"id": "<string>",
"name": "<string>",
"category": {
"_ref": "<string>",
"_ids": [
"<string>"
]
},
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"categories": [
{
"id": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"modifiedAt": "2023-11-07T05:31:56Z"
}
],
"participants": [
{
"id": "<string>",
"code": "<string>",
"name": "<string>"
}
],
"externalReferences": [
{
"id": 123,
"source": "<string>",
"externalReference": "<string>"
}
]
}Headers
Header with the accessToken for the current session
Path Parameters
event id
⌘I